Chromium Code Reviews
Help | Chromium Project | Sign in
(5)

Issue 2479593006: Move enable extensions define to a build flag. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 3 weeks ago by brettw (busy this week)
Modified:
5 months, 2 weeks ago
CC:
chromium-reviews, asanka, msramek+watch_chromium.org, mcasas+watch+vc_chromium.org, droger+watchlist_chromium.org, tburkard+watch_chromium.org, achuith+watch_chromium.org, rginda+watch_chromium.org, ajwong+watch_chromium.org, markusheintz_, native-client-reviews_googlegroups.com, extensions-reviews_chromium.org, cbentzel+watch_chromium.org, awdf+watch_chromium.org, mlamouri+watch-geolocation_chromium.org, grt+watch_chromium.org, sdefresne+watchlist_chromium.org, jam, dbeam+watch-history_chromium.org, raymes+watch_chromium.org, Patrick Dubroy, darin-cc_chromium.org, vabr+watchlistlogin_chromium.org, blundell+watchlist_chromium.org, loading-reviews_chromium.org, chromium-apps-reviews_chromium.org, Avi (ping after 24h), alemate+watch_chromium.org, creis+watch_chromium.org, tapted (OOO until 2017-05-01), Peter Beverloo, mlamouri+watch-notifications_chromium.org, Randy Smith (Not in Mondays), media-router+watch_chromium.org, pam+watch_chromium.org, oshima+watch_chromium.org, Michael van Ouwerkerk, mlamouri+watch-permissions_chromium.org, sync-reviews_chromium.org, Matt Giuca, feature-media-reviews_chromium.org, tfarina, asvitkine+watch_chromium.org, gavinp+prer_chromium.org, eroman, davemoore+watch_chromium.org, James Su, mmenke
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move enable extensions define to a build flag. Removes the global define and convert to a more scaleable build flag system. The json_schema_compiler tests were moved from the unit tests target to one on their directory with an extensions-only dependency on the new test target. Committed: https://crrev.com/00899e685f753f1e8b0b2452bf374de5f0079feb Cr-Commit-Position: refs/heads/master@{#431741}

Patch Set 1 #

Patch Set 2 : Merge #

Patch Set 3 : Merge #

Patch Set 4 : Fix check #

Patch Set 5 : Fix #

Patch Set 6 : extensions/test #

Patch Set 7 : Fix #

Patch Set 8 : Merge (previous patch OK) #

Patch Set 9 : json_features #

Patch Set 10 : Test updates #

Total comments: 2

Patch Set 11 : Merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+999 lines, -708 lines) Patch
M BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M apps/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M build/config/BUILD.gn View 1 1 chunk +0 lines, -3 lines 0 comments Download
M build/config/features.gni View 1 2 3 4 5 6 7 1 chunk +0 lines, -1 line 0 comments Download
M chrome/BUILD.gn View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 chunks +11 lines, -10 lines 0 comments Download
M chrome/browser/autocomplete/autocomplete_classifier_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/autocomplete/chrome_autocomplete_provider_client.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/autocomplete/keyword_extensions_delegate_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/autocomplete/shortcuts_backend_factory.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/autocomplete/shortcuts_extensions_manager.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/autocomplete/shortcuts_provider_extension_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browser_about_handler.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browser_process_impl.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/browser_process_impl.cc View 1 2 3 4 5 6 7 8 9 10 9 chunks +9 lines, -8 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_counter_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_counter_utils.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_counter_utils_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_file_system_helper.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/browsing_data/browsing_data_helper_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_remover.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_remover_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_remover_unittest.cc View 17 chunks +17 lines, -16 lines 0 comments Download
M chrome/browser/browsing_data/cookies_tree_model.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/cookies_tree_model.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/browsing_data/cookies_tree_model_unittest.cc View 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/browsing_data/downloads_counter_browsertest.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/chrome_browser_main.cc View 1 2 3 4 5 6 7 8 9 4 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.h View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 36 chunks +37 lines, -36 lines 0 comments Download
M chrome/browser/chrome_notification_types.h View 3 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/chromeos/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/content_settings/host_content_settings_map_factory.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/download/chrome_download_manager_delegate.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/download/chrome_download_manager_delegate.cc View 1 2 3 4 5 6 7 8 9 10 6 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/download/download_history.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/download/download_history_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/download/download_service.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/download/download_service_impl.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/download/download_service_impl.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/download/download_target_determiner.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/download/download_target_determiner_unittest.cc View 1 2 3 4 5 6 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/extensions/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_service.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/geolocation/geolocation_permission_context_extensions.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/geolocation/geolocation_permission_context_extensions.cc View 5 chunks +9 lines, -8 lines 0 comments Download
M chrome/browser/geolocation/geolocation_permission_context_unittest.cc View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/interstitials/chrome_metrics_helper.h View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/interstitials/chrome_metrics_helper.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/io_thread.h View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/io_thread.cc View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/io_thread_unittest.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/loader/chrome_resource_dispatcher_host_delegate.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/loader/chrome_resource_dispatcher_host_delegate.cc View 14 chunks +14 lines, -13 lines 0 comments Download
M chrome/browser/media/router/media_router_feature.cc View 3 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/media/webrtc/media_capture_devices_dispatcher.cc View 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/media/webrtc/media_stream_capture_indicator.cc View 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/memory_details.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/metrics/chrome_metrics_service_client.cc View 1 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/metrics/chrome_stability_metrics_provider.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/metrics/chrome_stability_metrics_provider_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/nacl_host/nacl_browser_delegate_impl.h View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/nacl_host/nacl_browser_delegate_impl.cc View 10 chunks +13 lines, -13 lines 0 comments Download
M chrome/browser/net/chrome_extensions_network_delegate.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/net/chrome_extensions_network_delegate.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/net/chrome_network_delegate.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/net/chrome_network_delegate_unittest.cc View 11 chunks +11 lines, -10 lines 0 comments Download
M chrome/browser/notifications/notifier_state_tracker.h View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/notifications/notifier_state_tracker.cc View 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/notifications/platform_notification_service_impl.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/notifications/platform_notification_service_unittest.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/performance_monitor/performance_monitor.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/plugins/chrome_content_browser_client_plugins_part.cc View 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/plugins/plugin_info_message_filter.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/plugins/plugin_info_message_filter.cc View 7 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/policy/configuration_policy_handler_list_factory.cc View 1 2 3 4 5 6 7 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/policy/managed_bookmarks_policy_handler_unittest.cc View 6 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/prefs/browser_prefs.cc View 1 2 3 4 5 6 7 8 9 6 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/prefs/chrome_pref_service_factory.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/prerender/prerender_link_manager.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/prerender/prerender_manager_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/printing/print_view_manager_common.cc View 1 4 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/profiles/chrome_browser_main_extra_parts_profiles.cc View 1 6 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/profiles/off_the_record_profile_impl.cc View 7 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/profiles/off_the_record_profile_io_data.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/profiles/profile.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/profiles/profile_impl.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/profiles/profile_impl.cc View 1 8 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/profiles/profile_impl_io_data.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/profiles/profile_io_data.h View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/profiles/profile_io_data.cc View 1 9 chunks +10 lines, -9 lines 0 comments Download
M chrome/browser/profiles/profile_manager.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/profiles/profile_window.cc View 1 6 chunks +9 lines, -8 lines 0 comments Download
M chrome/browser/renderer_context_menu/context_menu_content_type_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/renderer_context_menu/render_view_context_menu.h View 1 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/renderer_context_menu/render_view_context_menu.cc View 1 2 3 4 5 6 7 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/renderer_context_menu/render_view_context_menu_test_util.h View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/renderer_host/chrome_navigation_ui_data.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/renderer_host/chrome_navigation_ui_data.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/renderer_host/chrome_render_message_filter.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/renderer_host/chrome_render_message_filter.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/renderer_host/pepper/pepper_isolated_file_system_message_filter.cc View 4 chunks +10 lines, -8 lines 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/extension_data_collection.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/last_download_finder.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/sessions/chrome_tab_restore_service_client.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/sessions/session_tab_helper.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/site_details.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/speech/chrome_speech_recognition_manager_delegate.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ssl/ssl_blocking_page.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/supervised_user/supervised_user_service.h View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/supervised_user/supervised_user_service.cc View 1 10 chunks +12 lines, -11 lines 0 comments Download
M chrome/browser/supervised_user/supervised_user_service_factory.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/supervised_user/supervised_user_service_unittest.cc View 1 2 3 4 5 6 7 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/supervised_user/supervised_user_url_filter.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/supervised_user/supervised_user_url_filter_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/sync/chrome_sync_client.cc View 1 2 6 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/sync/glue/extensions_activity_monitor.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/sync/glue/extensions_activity_monitor.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/sync/profile_sync_service_factory.cc View 1 2 3 4 5 6 7 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/sync/sessions/notification_service_sessions_router.cc View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/tab_contents/tab_util.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/task_manager/providers/web_contents/extension_tag.cc View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/task_manager/web_contents_tags.cc View 1 5 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/themes/theme_service.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/themes/theme_service.cc View 1 6 chunks +6 lines, -5 lines 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/blocked_content/app_modal_dialog_helper.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/blocked_content/popup_blocker_browsertest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/bookmarks/bookmark_utils.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/bookmarks/bookmark_utils_desktop.cc View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/ui/browser.h View 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/browser.cc View 1 2 3 4 5 6 7 8 9 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/browser_close_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/browser_commands.cc View 1 7 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/ui/browser_navigator.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/fast_unload_controller.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/login/login_handler.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/media_utils.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/omnibox/chrome_omnibox_edit_controller.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/prefs/prefs_tab_helper.cc View 1 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/sync/profile_signin_confirmation_helper.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/sync/profile_signin_confirmation_helper_unittest.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/sync/tab_contents_synced_tab_delegate.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/tab_helpers.cc View 1 2 3 4 5 6 7 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/unload_controller.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/browsing_history_handler.cc View 1 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/chrome_web_ui_controller_factory.cc View 1 2 3 4 5 6 7 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/webui/constrained_web_dialog_ui.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/cookies_tree_model_util.cc View 1 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/webui/log_web_ui_url.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/log_web_ui_url_browsertest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/log_web_ui_url_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/net_internals/net_internals_ui.cc View 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/webui/policy_ui_handler.h View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/webui/policy_ui_handler.cc View 1 2 3 4 5 6 7 8 9 10 8 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/ui/webui/voice_search_ui.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/web_applications/web_app_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/chrome_paks.gni View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/chrome_repack_locales.gni View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 3 chunks +3 lines, -0 lines 0 comments Download
M chrome/common/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_content_client.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/common/chrome_features.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M chrome/common/chrome_features.cc View 1 2 chunks +3 lines, -1 line 0 comments Download
M chrome/common/common_message_generator.h View 1 1 chunk +2 lines, -1 line 0 comments Download
M chrome/common/extensions/BUILD.gn View 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/extensions/api/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/extensions/chrome_utility_extensions_messages.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/common/features.gni View 1 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 6 7 8 9 10 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 6 7 8 9 10 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/common/url_constants.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/BUILD.gn View 1 3 chunks +3 lines, -0 lines 0 comments Download
M chrome/renderer/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/renderer/chrome_content_renderer_client.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/chrome_content_renderer_client.cc View 1 2 28 chunks +29 lines, -28 lines 0 comments Download
M chrome/renderer/chrome_content_renderer_client_unittest.cc View 1 4 chunks +5 lines, -4 lines 0 comments Download
M chrome/renderer/chrome_mock_render_thread.h View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/chrome_mock_render_thread.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/renderer/chrome_render_thread_observer.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/renderer/chrome_render_view_observer.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/chrome_render_view_observer.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/renderer/content_settings_observer.h View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/renderer/content_settings_observer.cc View 8 chunks +8 lines, -7 lines 0 comments Download
M chrome/renderer/content_settings_observer_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/renderer/pepper/pepper_uma_host.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M chrome/renderer/printing/chrome_print_web_view_helper_delegate.cc View 5 chunks +7 lines, -6 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 9 chunks +10 lines, -15 lines 0 comments Download
M chrome/test/base/chrome_render_view_test.h View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M chrome/test/base/chrome_render_view_test.cc View 1 2 3 4 5 6 7 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/test/base/chrome_unit_test_suite.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/test/base/testing_browser_process.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M chrome/test/base/testing_browser_process.cc View 1 4 chunks +4 lines, -3 lines 0 comments Download
M chrome/test/base/testing_profile.h View 6 chunks +6 lines, -5 lines 0 comments Download
M chrome/test/base/testing_profile.cc View 11 chunks +12 lines, -11 lines 0 comments Download
M chrome/utility/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/utility/DEPS View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/utility/chrome_content_utility_client.cc View 1 2 3 4 5 6 7 8 9 10 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/utility/chrome_content_utility_ipc_whitelist.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M chrome/utility/extensions/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/utility/extensions/extensions_handler.h View 1 chunk +2 lines, -1 line 0 comments Download
M components/content_settings/core/browser/BUILD.gn View 2 chunks +2 lines, -0 lines 0 comments Download
M components/content_settings/core/browser/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M components/content_settings/core/browser/cookie_settings.cc View 2 chunks +2 lines, -1 line 0 comments Download
M components/content_settings/core/browser/cookie_settings_unittest.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M components/policy/core/common/BUILD.gn View 1 2 3 3 chunks +3 lines, -0 lines 0 comments Download
M components/policy/core/common/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M components/policy/core/common/schema_registry.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -1 line 0 comments Download
M components/policy/core/common/schema_registry_unittest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -1 line 0 comments Download
M extensions/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M extensions/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 3 chunks +3 lines, -0 lines 0 comments Download
M extensions/browser/extension_registry.h View 1 chunk +2 lines, -1 line 0 comments Download
M extensions/browser/extension_system.h View 1 chunk +2 lines, -1 line 0 comments Download
M extensions/browser/notification_types.h View 1 chunk +2 lines, -1 line 0 comments Download
M extensions/common/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M extensions/common/api/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 3 chunks +6 lines, -0 lines 0 comments Download
M extensions/common/extension.h View 1 chunk +2 lines, -1 line 0 comments Download
A extensions/features/BUILD.gn View 1 2 3 4 5 6 7 8 9 1 chunk +16 lines, -0 lines 0 comments Download
A extensions/features/features.gni View 1 2 3 4 5 6 7 8 9 1 chunk +9 lines, -0 lines 0 comments Download
M extensions/renderer/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M extensions/shell/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M extensions/shell/common/api/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M extensions/strings/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M extensions/utility/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M tools/grit/grit_rule.gni View 1 1 chunk +0 lines, -6 lines 0 comments Download
M tools/json_schema_compiler/json_features.gni View 1 2 3 4 5 6 7 8 3 chunks +28 lines, -3 lines 0 comments Download
M tools/json_schema_compiler/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 3 chunks +33 lines, -19 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 100 (53 generated)
brettw (busy this week)
Merge
5 months, 3 weeks ago (2016-11-04 22:50:40 UTC) #5
brettw (busy this week)
5 months, 3 weeks ago (2016-11-04 22:51:47 UTC) #10
asargent_no_longer_on_chrome
lgtm
5 months, 3 weeks ago (2016-11-07 21:32:24 UTC) #13
brettw (busy this week)
Merge
5 months, 3 weeks ago (2016-11-07 22:48:57 UTC) #14
brettw (busy this week)
Fix check
5 months, 3 weeks ago (2016-11-07 23:28:27 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/60001
5 months, 3 weeks ago (2016-11-07 23:33:41 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/268003) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
5 months, 3 weeks ago (2016-11-07 23:45:37 UTC) #27
brettw (busy this week)
Fix
5 months, 3 weeks ago (2016-11-07 23:59:08 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/80001
5 months, 3 weeks ago (2016-11-07 23:59:32 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/298989)
5 months, 3 weeks ago (2016-11-08 00:17:06 UTC) #33
brettw (busy this week)
TBR extra owners for mechanical changes.
5 months, 3 weeks ago (2016-11-08 00:25:06 UTC) #36
brettw (busy this week)
extensions/test
5 months, 3 weeks ago (2016-11-08 00:28:33 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/100001
5 months, 3 weeks ago (2016-11-08 00:29:11 UTC) #40
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/268061)
5 months, 3 weeks ago (2016-11-08 01:07:05 UTC) #42
Dan Beam
rs lgtm
5 months, 3 weeks ago (2016-11-08 07:43:03 UTC) #43
Tom Sepez
RS LGTM
5 months, 3 weeks ago (2016-11-08 18:26:43 UTC) #44
brettw (busy this week)
Fix
5 months, 3 weeks ago (2016-11-08 18:31:28 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/120001
5 months, 3 weeks ago (2016-11-08 18:32:31 UTC) #48
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/256783) chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
5 months, 3 weeks ago (2016-11-08 20:34:10 UTC) #50
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/120001
5 months, 3 weeks ago (2016-11-08 21:07:08 UTC) #52
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_daisy_chromium_compile_only_ng/builds/231350) linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
5 months, 3 weeks ago (2016-11-08 23:09:00 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/120001
5 months, 3 weeks ago (2016-11-09 02:35:26 UTC) #56
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_daisy_chromium_compile_only_ng/builds/231635) chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, ...
5 months, 3 weeks ago (2016-11-09 03:13:09 UTC) #58
brettw (busy this week)
Merge (previous patch OK)
5 months, 3 weeks ago (2016-11-09 19:01:58 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/140001
5 months, 3 weeks ago (2016-11-09 19:02:58 UTC) #62
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/269409)
5 months, 3 weeks ago (2016-11-09 19:34:55 UTC) #64
brettw (busy this week)
I tired of playing whack-a-mole with missing json_features deps. Since the script automatically writes includes ...
5 months, 3 weeks ago (2016-11-09 21:51:21 UTC) #65
brettw (busy this week)
json_features
5 months, 3 weeks ago (2016-11-09 21:59:56 UTC) #66
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/160001
5 months, 3 weeks ago (2016-11-09 22:00:30 UTC) #69
asargent_no_longer_on_chrome
On 2016/11/09 21:51:21, brettw (ping on IM after 24h) wrote: > I tired of playing ...
5 months, 3 weeks ago (2016-11-09 22:04:41 UTC) #70
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/161072) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
5 months, 3 weeks ago (2016-11-09 22:09:14 UTC) #72
brettw (busy this week)
json_features.gni has the default extensions dep (and I removed it where it was added manually ...
5 months, 3 weeks ago (2016-11-09 22:18:51 UTC) #73
asargent_no_longer_on_chrome
On 2016/11/09 22:18:51, brettw (ping on IM after 24h) wrote: > json_features.gni has the default ...
5 months, 3 weeks ago (2016-11-09 22:49:45 UTC) #74
brettw (busy this week)
Test updates
5 months, 2 weeks ago (2016-11-10 22:44:13 UTC) #75
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/180001
5 months, 2 weeks ago (2016-11-10 22:44:47 UTC) #78
brettw (busy this week)
New change to tools/json_schema_compiler/test/BUILD.gn and chrome/test/BUILD.gn. The test build rules were moved to their own ...
5 months, 2 weeks ago (2016-11-10 22:47:29 UTC) #80
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/260333) linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
5 months, 2 weeks ago (2016-11-11 00:48:55 UTC) #82
Dan Beam
https://codereview.chromium.org/2479593006/diff/180001/tools/grit/grit_rule.gni File tools/grit/grit_rule.gni (left): https://codereview.chromium.org/2479593006/diff/180001/tools/grit/grit_rule.gni#oldcode247 tools/grit/grit_rule.gni:247: "enable_extensions", is this needed for something like <if expr="enable_extensions"> ...
5 months, 2 weeks ago (2016-11-11 02:02:51 UTC) #83
brettw (busy this week)
https://codereview.chromium.org/2479593006/diff/180001/tools/grit/grit_rule.gni File tools/grit/grit_rule.gni (left): https://codereview.chromium.org/2479593006/diff/180001/tools/grit/grit_rule.gni#oldcode247 tools/grit/grit_rule.gni:247: "enable_extensions", The addition to chrome/common/features.gni will handle all of ...
5 months, 2 weeks ago (2016-11-11 17:44:18 UTC) #84
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/180001
5 months, 2 weeks ago (2016-11-11 17:45:33 UTC) #86
commit-bot: I haz the power
Failed to apply patch for chrome/utility/DEPS: While running git apply --index -p1; error: patch failed: ...
5 months, 2 weeks ago (2016-11-11 21:10:30 UTC) #88
brettw (busy this week)
Merge
5 months, 2 weeks ago (2016-11-11 21:16:56 UTC) #89
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/200001
5 months, 2 weeks ago (2016-11-11 21:17:16 UTC) #92
commit-bot: I haz the power
Try jobs failed on following builders: blimp_linux_dbg on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/blimp_linux_dbg/builds/31325) linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
5 months, 2 weeks ago (2016-11-11 23:19:13 UTC) #94
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2479593006/200001
5 months, 2 weeks ago (2016-11-12 00:13:05 UTC) #96
commit-bot: I haz the power
Committed patchset #11 (id:200001)
5 months, 2 weeks ago (2016-11-12 02:10:49 UTC) #98
commit-bot: I haz the power
5 months, 2 weeks ago (2016-11-12 02:13:54 UTC) #100
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/00899e685f753f1e8b0b2452bf374de5f0079feb
Cr-Commit-Position: refs/heads/master@{#431741}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46